Bug 598617 - ipa-client depends on python-krbv
Summary: ipa-client depends on python-krbv
Status: CLOSED ERRATA
Alias: None
Product: freeIPA
Classification: Retired
Component: ipa-client (Show other bugs)
(Show other bugs)
Version: 2.0
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 598626
TreeView+ depends on / blocked
 
Reported: 2010-06-01 18:01 UTC by John Dennis
Modified: 2015-01-04 23:42 UTC (History)
3 users (show)

Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 598626 (view as bug list)
Environment:
Last Closed: 2012-03-28 09:36:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Dennis 2010-06-01 18:01:22 UTC
Currently ipa-client depends on python-krbv. It is believed to be needed only for uninstalling to get the default kerberos realm so /etc/krb5.keytab can be cleaned up. 

However, python-krbv is not packaged for RHEL6 and this is causing a dependency problem for the RHEL6 tech preview of ipa-client.

Lets investigate if there are alternative mechanisms to get the default krb realm so we can remove the dependency on python-krb5.

Comment 1 Rob Crittenden 2010-09-27 18:35:38 UTC
master: 67a454951993b1f04f3feeab7462dcaf6d23fb61

https://fedorahosted.org/freeipa/ticket/136


Note You need to log in before you can comment on or make changes to this bug.